Main Page Widgets Namespaces Book

# Glib::ShellError Class Reference
[Shell-related Utilities]

Inheritance diagram for Glib::ShellError:

[legend]
List of all members.

## Detailed Description

Exception class for shell utility errors.

## Public Types
enum | Code { BAD_QUOTING, EMPTY_STRING, FAILED }
## Public Member Functions
| ShellError (Code error_code, const Glib::ustring& error_message)
| ShellError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Glib::ShellError::Code

  | Enumeration values:
  BAD_QUOTING |
  EMPTY_STRING |
  FAILED |

## Constructor & Destructor Documentation

Glib::ShellError::ShellError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |

Glib::ShellError::ShellError | ( | GError* | gobject | ) | `[explicit]`

## Member Function Documentation

Code Glib::ShellError::code | ( |  | ) | const

| Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- shell.h